Bug 1478554 - Not possible to refresh automate from GIT using API call
Not possible to refresh automate from GIT using API call
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity high
: GA
: 5.8.2
Assigned To: mkanoor
Milan Falešník
: ZStream
Depends On: 1470738
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 15:13 EDT by Satoe Imaishi
Modified: 2017-10-23 20:36 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1470738
Environment:
Last Closed: 2017-10-23 20:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-08-04 15:21:12 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/b28635de0353b51fdb3e793c603fa17eae71f854

commit b28635de0353b51fdb3e793c603fa17eae71f854
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Jul 13 13:07:33 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 15:18:12 2017 -0400

    Merge pull request #52 from mkanoor/miq_ae_git_import
    
    Don't unconditionally update verify_ssl
    (cherry picked from commit 928f892b7e06f57082bb81557b292f0240d73101)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478554

 lib/miq_automation_engine/models/miq_ae_git_import.rb         |  2 +-
 .../miq_automation_engine/models/miq_ae_git_import_spec.rb    | 11 ++++++++++-
 2 files changed, 11 insertions(+), 2 deletions(-)
Comment 3 Milan Falešník 2017-08-31 11:39:27 EDT
Verified in 5.8.2.0 against 5.8.1.0.

I imported a git repository with Verify SSL off. I then looked up the automate_domain's id in the api and also the git_repository_id of the domain.

I fired up a postgresql command line (psql vmdb_production) and verified that now the SSL verification is off as I specified:

vmdb_production=# select verify_ssl from git_repositories where id = 1;
 verify_ssl 
------------
          0
(1 row)

I then looked up the automate_domain in the API and fired up the refresh_from_source action using the python API client we maintain and started checking the situation in psql:

In 5.8.1.0, the value changed:
vmdb_production=# select verify_ssl from git_repositories where id = 1;
 verify_ssl 
------------
          1
(1 row)

In 5.8.2.0 it stayed as it was supposed to stay:
vmdb_production=# select verify_ssl from git_repositories where id = 1;
 verify_ssl 
------------
          0
(1 row)

Therefor the issue is fixed.
Comment 5 errata-xmlrpc 2017-10-23 20:36:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.